Bug 1342494 - preprocess: python3-preprocess requires both Python 2 and Python 3
Summary: preprocess: python3-preprocess requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: preprocess
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2016-06-03 11:46 UTC by Tomas Orsava
Modified: 2016-06-27 00:52 UTC (History)
2 users (show)

Fixed In Version: preprocess-1.2.2-8.20150919gitd5ab9a.fc24 preprocess-1.2.2-8.20150919gitd5ab9a.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-21 19:23:55 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-06-03 11:46:59 UTC
The python3-preprocess RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Dominika Krejčí 2016-06-16 08:25:06 UTC
Hello Antonio,
how is it going? Do you need any help?

Comment 2 Antonio 2016-06-16 08:39:50 UTC
Hi,

sorry I missed this ticket.
Let me check/fix.

Comment 3 Antonio 2016-06-16 09:10:13 UTC
Fixed with the release 1.2.2-8 .

Comment 4 Fedora Update System 2016-06-16 09:21:36 UTC
preprocess-1.2.2-8.20150919gitd5ab9a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8b224f224

Comment 5 Fedora Update System 2016-06-16 09:21:44 UTC
preprocess-1.2.2-8.20150919gitd5ab9a.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1429ea24d0

Comment 6 Fedora Update System 2016-06-16 15:54:59 UTC
preprocess-1.2.2-8.20150919gitd5ab9a.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1429ea24d0

Comment 7 Fedora Update System 2016-06-17 18:54:57 UTC
preprocess-1.2.2-8.20150919gitd5ab9a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8b224f224

Comment 8 Fedora Update System 2016-06-21 19:23:47 UTC
preprocess-1.2.2-8.20150919gitd5ab9a.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-06-27 00:52:44 UTC
preprocess-1.2.2-8.20150919gitd5ab9a.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.